$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.93.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.93.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'A6B638FE97146E1C99DC2D542C2B5A881110A77E982AD7F424228B8C20ACF2E2'
  checksumType = 'sha256'
  checksum64 = 'A6B638FE97146E1C99DC2D542C2B5A881110A77E982AD7F424228B8C20ACF2E2'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.93-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
